solution: /submissions/accepted/ivan.cpp
version: 2025-02  # use this version of the generators framework

#test_group.yaml:
  # One or more of:
  # case_sensitive
  # space_change_sensitive
  # float_absolute_tolerance eps
  # float_relative_tolerance eps
  # float_tolerance eps
  #output_validator_args:

data:
  sample:
    data:
      # Some small examples showing to help understanding of the problem.
      - '':
          in: 60 90
          ans: "no"
      - '':
          in: 30 0
          ans: "yes"
      - '':
          in: 30 1
          ans: "no"
      - '':
          in: 32 24
          ans: "yes"

  secret:
    data:
      - min_no: { in: "0 1\n" }
      - max: { in: "359 359\n" }
      - valid: gen_yes.py 0
      - valid: gen_yes.py 62
      - valid: gen_yes.py 68
      - valid: gen_yes.py 70
      - valid: gen_yes.py 78
      - valid: gen_yes.py 83
      - valid: gen_yes.py 90
      - valid: gen_yes.py 98
      - valid: gen_yes.py 122
      - valid: gen_yes.py 138
      - valid: gen_yes.py 168
      - valid: gen_yes.py 210
      - valid: gen_yes.py 223
      - valid: gen_yes.py 224
      - valid: gen_yes.py 235
      - valid: gen_yes.py 285
      - valid: gen_yes.py 288
      - valid: gen_yes.py 290
      - valid: gen_yes.py 322
      - valid: gen_yes.py 359
      - random:
          generate: gen_random {seed}
          count: 20

  invalid_input:
    data: []

  invalid_answer:
    data: []

  invalid_output:
    data: []

  valid_output:
    data: []
